Summary: Daily mail statistics for SME Server
%define name smeserver-mailstats
Name: %{name}
%define version 0.0.3
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: SME/addon
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: smeserver-release => 7.0
BuildRequires: e-smith-devtools >= 1.13.1-03

%description
A script that via cron.d e-mails mail statistics to admin on a daily basis.
See http://www.contribs.org/bugzilla/show_bug.cgi?id=819

%changelog
* Fri Feb 15 2008 Shad L. Lords <slords@mail.com> 0.0.3-1
- Roll new version in prep for building on new buildsys

* Thu Oct 11 2007 <charlie_brady@mitel.com> 0.0.2-07
- Rename parse_args => analysis_period, and simplify substantially.

* Thu Oct 11 2007 <charlie_brady@mitel.com> 0.0.2-06
- Avoid re-opening config db all the time.

* Thu Oct 11 2007 <charlie_brady@mitel.com> 0.0.2-05
- Redo 1st of month bug fix. Expand all tabs to four spaces. [SME: 3366]

* Thu Oct 11 2007 <charlie_brady@mitel.com> 0.0.2-04
- Update spamfilter-stats-7.pl to Brian's 0.6.15 version. [SME: 3068]

* Mon Oct  1 2007 Charlie Brady <charlie_brady@mitel.com> 0.0.2-03
- Fix 1st of month bug, and uninitialised value warning. [SME: 3366]

* Mon Sep 10 2007 Charlie Brady <charlie_brady@mitel.com> 0.0.2-02
- Patch to update spamfilter-stats-7.pl to most recent verson that is
  attached in bugzilla. http://bugs.contribs.org/show_bug.cgi?id=3068

* Mon Sep 10 2007 Charlie Brady <charlie_brady@mitel.com> 0.0.2-01
- Repackaging Darrell's 0.0.1-2dmay as 0.0.2. After all this time Darrell
  is still publishing multiple RPMs with tarballs with different content
  with the same version number - grrrr!!! Odd, since he is the quoted author
  of rpm-patch-howto.html.

* Thu Aug 23 2007 John H. Bennett III <bennettj@johnbennettservices.com> [0.0.1-2]
- Patch to update spamfilter-stats-7.pl to most recent verson that is
  attached in bugzilla. http://bugs.contribs.org/show_bug.cgi?id=3068

* Wed Apr 11 2007 Darrell May <dmay@myezserver.com>
- added db qpsmtpdLogLevel migrate fragment
- changed post commands being echoed
- [0.0.1-2dmay]
* Wed Apr 11 2007 Darrell May <dmay@myezserver.com>
- updated to use qpsmtpd logterse plugin
- [0.0.1-1dmay]
* Fri Oct 13 2006 Darrell May <dmay@myezserver.com>
- bundled into rpm
- [0.0.1-0dmay]

%prep

%setup

%build

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
/bin/rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

